> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.onnodecomplete.md).

# onNodeComplete

Field in [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

A Unity event that is called when a node is complete.

```csharp
public UnityEventString? onNodeComplete;
```

## Remarks

This event receives as a parameter the name of the node that just finished running.

## See Also

* [Dialogue.NodeCompleteHandler](/api/csharp/yarn/yarn.dialogue/yarn.dialogue.nodecompletehandler.md): Gets or sets the [NodeCompleteHandler](/api/csharp/yarn/yarn.nodecompletehandler.md) that is called when a node is complete.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.onnodecomplete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
